## org.Biocorba.Seqcore
Interface SeqDB

All Known Implementing Classes:
  _SeqDBImplBase, _SeqDBStub

public interface SeqDB
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, PrimarySeqDB

Method Summary
`java.lang.String[]` `get_primaryidList()`
`Seq` `get_Seq(java.lang.String primary_id)`

Methods inherited from interface org.Biocorba.Seqcore.PrimarySeqDB
`database_name, database_version, get_PrimarySeq, make_PrimarySeqIterator`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### get_Seq

    public Seq get_Seq(java.lang.String primary_id)
                throws UnableToProcess

### get_primaryidList

    public java.lang.String[] get_primaryidList()